> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List project schedules

> List schedules linked to a project.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/projects/{projectId}/schedules
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/{projectId}/schedules:
    get:
      tags:
        - Projects
      summary: List project schedules
      description: List schedules linked to a project.
      operationId: listProjectSchedules
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - in: query
          name: limit
          schema:
            anyOf:
              - type: string
                pattern: ^\d+$
              - type: integer
            default: '50'
      responses:
        '200':
          description: List project schedules
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAt:
                          type: string
                          format: date-time
                        cron:
                          type: string
                        enabledAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        lastRunAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        nextRunAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        timezone:
                          type:
                            - string
                            - 'null'
                        updatedAt:
                          type: string
                          format: date-time
                        projectId:
                          type: string
                          minLength: 1
                          maxLength: 255
                      required:
                        - createdAt
                        - cron
                        - enabledAt
                        - id
                        - lastRunAt
                        - nextRunAt
                        - timezone
                        - updatedAt
                        - projectId
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    minLength: 1
                    maxLength: 255
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````